Xonotic Wiki
============

This is a wiki / development system where we can gather information for the future of this project.

Project
-------

-   [[Frequently Asked Questions|Faq]]
-   [[Public Relations|Pr]]
-   Check out our [[Project Plan|Plan]] so far
-   [[Organizational Structure|Organizational_Structure]]
-   [[Roles and Skills|Roles]] of contributing community members
-   [[IRC channels|Channels]]
-   [[Community development|Community_development]] planning
-   [[Licensing / Legal|Legal]]
-   [[Announcements]]
-   [Roadmap to v1](http://dev.xonotic.org/versions/show/3)
-   [[Repository Access|Repository_Access]] (how to compile from git) (see also [[Git]])
-   [[Website]] Plannning
-   [[Xonotic compatibility pack|Xonotic_compatibility_pack]] a small pk3 that will rebrand a default Nexuiz install
-   Notes from brainstorming [[ideas for names|names]]
-   [[Hardware Requirements|Hardware_Requirements]]

Gameplay
--------

-   [[HALOGENE’S NEWBIE CORNER|Halogene’s_Newbie_Corner]]
    -   [[Movement|Halogene’s_Newbie_Corner#movement]]
        -   [[Bunny Hopping|Halogene’s_Newbie_Corner#bunny hopping]]
        -   [[Laser Jumping|Halogene’s_Newbie_Corner#laser jumping]]
        -   [[Wall Lasering|Halogene’s_Newbie_Corner#wall lasering]]
        -   [[Ramp Jumping|Halogene’s_Newbie_Corner#ramp jumping]]
    -   [[Weapons|Halogene’s_Newbie_Corner#weapons]]
        -   [[Laser|Halogene’s_Newbie_Corner#laser]]
        -   [[Shotgun|Halogene’s_Newbie_Corner#shotgun]]
        -   [[Machinegun/Uzi|Halogene’s_Newbie_Corner#machinegunuzi]]
        -   [[Mortar|Halogene’s_Newbie_Corner#mortar]]
        -   [[Electro|Halogene’s_Newbie_Corner#electro]]
        -   [[Crylink|Halogene’s_Newbie_Corner#crylink]]
        -   [[Nex|Halogene’s_Newbie_Corner#nex]]
        -   [[Hagar|Halogene’s_Newbie_Corner#hagar]]
        -   [[Rocket Launcher|Halogene’s_Newbie_Corner#rocket launcher]]
    -   [[Gameplay Tricks|Halogene’s_Newbie_Corner#gameplay tricks]]
        -   [[Weapon Comboing|Halogene’s_Newbie_Corner#weapon comboing]]
        -   [[Keyboard Setup|Halogene’s_Newbie_Corner#keyboard setup]]
        -   [[Splash Damage Travels Through Walls|Halogene’s_Newbie_Corner#splash damage travels through walls]]
        -   [[Stay Healthy|Halogene’s_Newbie_Corner#stay healthy]]
        -   [[Listen|Halogene’s_Newbie_Corner#listen]]
        -   [[Console ABC|Halogene’s_Newbie_Corner#console abc]]
    -   [[Optimizing Perception|Halogene’s_Newbie_Corner#optimizing perception]]
        -   [[Visuals|Halogene’s_Newbie_Corner#visuals]]
            -   [[Damage Blur|Halogene’s_Newbie_Corner#damage blur]]
            -   [[Field of View|Halogene’s_Newbie_Corner#field of view]]
            -   [[Visible Players|Halogene’s_Newbie_Corner#visible players]]
            -   [[Reducing Effects|Halogene’s_Newbie_Corner#reducing effects]]
            -   [[Picmip and Simple Items|Halogene’s_Newbie_Corner#picmip and simple items]]
            -   [[Crosshair|Halogene’s_Newbie_Corner#crosshair]]
            -   [[Fine Tuning|Halogene’s_Newbie_Corner#fine tuning]]
        -   [[Audio|Halogene’s_Newbie_Corner#audio]]

-   Game Mechanics
    -   [[Impulse map|impulse_map]]
    -   [[Items]]
    -   [[Maps]]
    -   [[Players]]
    -   [[Vehicles]]
    -   [[Weapons]]

-   Gamemodes
    -   [[Arena]]
    -   [[Assault]]
    -   [[Capture the Flag|Capture_the_Flag]]
    -   [[Clan Arena|Clan_Arena]]
    -   [[Deathmatch]]
        -   [[1v1 Duel|1v1_Duel]]
    -   [[Domination]]
    -   [[Freeze Tag|Freeze_Tag]]
    -   [[Keepaway]]
    -   [[Key Hunt|Key_Hunt]]
    -   [[Last Man Standing|Last_Man_Standing]]
    -   [[Nexball]]
    -   [[Onslaught]]
    -   [[Race]]
    -   [[Race CTS|Race_CTS]]
    -   [[Runematch|Rune]]
    -   [[Team Deathmatch|Team_Deathmatch]]
    -   [[Conquest]]

-   Mutators
    -   [[Dodging]]
    -   [[Midair]]
    -   [[Vampire]]
    -   [[Blood Loss]]
    -   [[Low Gravity]]
    -   [[Cloak]]
    -   [[Relics]]
    -   [[Weapon Arena]]
    -   [[Grappling Hook|Grappling_Hook]]
    -   [[Jet Pack]]
    -   [[Rocket Flying]]
    -   [[Pinata]]
    -   [[Weapons Stay]]
    -   [[MinstaGib]]
    -   [[NIX]]

-   Misc
    -   [[Camera for demos explained|Demo_Camera]]
    -   [[Xonotic Bot Orchestra|Xonotic_Bot_Orchestra]]

Art & Media
-----------

-   [[Art Roadmap|Art_Roadmap]]
-   [[Artistic Style|Artistic_Style]]
-   [[Xonotic Logo|Logo]]
-   [[Maps Makeover|Maps_Makeover]]
-   [[Weapons Makeover|Weapons_Makeover]]
    -   [[New weapon names discussion|NamesWeapons]]
-   [[2d art]]
-   [[Music]]
    -   [[Music contributions|Music_contributions]]
-   [[Sound FX|Sound_FX]]
    -   [[Sound FX contributions|Sound_FX_contributions]]
-   Story Themes
    -   [[Close to home|Close_to_home]]
    -   [[Tech Conglomerate|Tech_Conglomerate]]

Additional Engine References
----------------------------

-   [[Darkplaces Parameters|Darkplaces_Parameters]]

Editing
-------

In this section you will find helpful information about editing Xonotic in general, let that be coding, texturing, modeling, mapping, etc

-   Programming
    -   [[Introduction to QuakeC|Introduction_to_QuakeC]]
    -   [DarkPlaces Wiki](http://dpwiki.slipgateconstruct.com/)
    -   [QuakeC Specifications v1.0](http://www.gamers.org/dEngine/quake/spec/quake-spec34/qc-menu.htm)
    -   [QuakeC tutorials](http://www.inside3d.com/tutorials.php) at inside3d.com
    -   [[NewQC]] - Possible changes regarding QC (compiler, syntax, …)

-   [[Modeling]]
    -   [[Textures know-how|Textures]]
    -   [[Normal Maps know-how|Normal_Maps]]
    -   [[Polygon count|Polycounts]] on Weapons and Models
    -   [[.framegroups|framegroups]] file (allow self playing animations) know-how
    -   [[.sounds|Voices_and_sounds]] file (player model sounds) know-how
    -   [[How to compile dpm models|dpmodel]]
    -   [[How to make weapons|Weaponsystem]]
    -   How to get an animated mesh from [[Blender to DPM|Blender_to_DPM]]
    -   [Inter-Quake Model (IQM) Format](http://lee.fov120.com/iqm/)
    -   [[Player Model Spec|Player_Model_Spec]]
    -   [[Blender to IQM|Blender_to_IQM]]

-   Texturing
    -   Tutorials [1](http://www.cgtextures.com/content.php?action=tutorials)
    -   [Recovering detailed normals from photo textures](http://www.cgtextures.com/content.php?action=tutorial&name=normalmap)
    -   [Hard Surface Texture Painting](http://forums.cgsociety.org/showthread.php?t=373024)
    -   Some [tips](http://forums.xonotic.org/showthread.php?tid=63&pid=445#pid445) by *FruitieX*
    -   [Q3A Shader Manual](http://toolz.nexuizninjaz.com/shader/)

-   Configuration
    -   [[Capturing video clips and using the demo camera|democapture]]
    -   [[Git]]

-   [[Mapping]]
    -   [[Creating Maps|Creating_Maps]]
    -   [[Mapper resources|Mapper_resources]]
    -   [Map naming convention](http://alientrap.org/forum/viewtopic.php?f=2&t=2363&sid=4f8a9e06ada52255e98bdfa744ec6beb#p27330)

References
----------

-   [[Git]]
-   [[Forbidden disposable e-mail providers|Forbidden_disposable_e-mail_providers]]

