Tech Conglomerate
=================

Date: Future
Region: Andromeda Galaxy

[PDF script](https://www.dropbox.com/s/ge0q9sc9n8ekh3y/script.pdf), [Wiki formatted version](Tech_Conglomerate_Script). PDF script can be newer at times.

Story outline
-------------

-   Massive business conglomerate(s) that manufactures arms, vehicles, ammo
    -   Could be several or could be one
        -   Specialize and each deals to all factions
            -   Factions buy arms from all companies, believing that they are tricking/deceiving the companies, but companies know this and continue to sell weapons
            -   Split could be based on type of wares (guns, vehicles) or types of guns (ammo types, and a separate company for vehicles)
        -   Or they all make the same things and deal to specific factions
        -   Companies allied in secret
    -   Logos present on ammo, gun, vehicle models (playermodels have faction emblems) - if several companies logos are placed on objects accordingly
    -   Sole weapon/ammo/vehicle manufacturer(s) in the galaxy
        -   Owns entire planets dedicated to manufacturing and deploying arms
        -   When a faction attempts to break free and manufacture arms, the company engages a kill switch in those faction’s arms and/or bombs their factories (with raptors, perhaps) (galactic space mafia)
        -   Has people installed in factional governments that always support the costly war

-   Intragalactic war
    -   Neverending
    -   Involves several (likely four, for four teams?) factions
    -   Going on for ages
    -   Whenever faction tries to make peace, business conglomerate puts them in line (batch of faulty weapons, assassinations, etc.)
    -   Corporation(s) supply this war with arms
        -   Why? The factions can only buy arms from them, so they (the corporation[s]) win no matter which faction gains the upper hand
        -   Sometimes they intervene when a faction gets too close to victory over another (the war is similar to 1984’s [perpetual war](http://en.wikipedia.org/wiki/Nineteen_Eighty-Four#Political_geography) - lots of constant fighting and small territorial acquisitions, yet no faction can be defeated and no faction ever loses control over its “heartland”)
        -   Factions are pawns and mostly do not realize they are being played (the few powerful people who do are quickly removed)

-   Weak Faction
    -   A faction that has little land nor manpower relative to the other factions
    -   However, this faction has its people installed at the top of the tech companies
    -   They deal arms to everyone and embezzle money off the top
    -   Sustain relatively little casualties due to the fact that they “fight smarter, not harder” - they have superior equipment to the other factions, and an unlimited supply of it (whereas the other factions receive limited supplies).

Player’s role
-------------

Both of the below campaigns could be included in the game, could be billed as “separate timelines” or something of the sort.
Or, game could ship without story mode and they could be offered as auxiliary .pk3 files (possibly fetchable from in-game?)

Or, far better to have the campaign be perspectives of the same fight - with each campaign ending favorably for the player. The Oppressor campaign is unlocked after the Underdog campaign.

### Underdog

-   Player is member of resistance movement (“pacifists”) which has stolen lots of equipment (guns, ammo, perhaps vehicles) and formed an attack team
    -   Fights through several campaigns to bring down each company individually (or just one campaign if one company)
    -   If each company specializes, the company’s soldiers use whatever weapons the company specializes in extensively
    -   Taking place on company controlled planets/important communication/manufacturing centers?
    -   Player is equipped with some rudimentary weapons (laser, shotgun, hagar perhaps), however, player can take weapons from downed corporate soldiers
        -   Ammo may or may not be scattered around the maps
    -   Death means level failed.
    -   Missions could involve retrieval of items, hacking computers (perhaps just getting to a certain point and holding it, as a sort of “hacking puzzle” would be difficult to implement), destroying targets (ONS style), getting to specific places (traversing a map), surviving certain attacks, saving certain allies, etc, when dictated by the story.
        -   Initial missions could be raids on corporate warehouses, where the goal is to get into a warehouse (kill the guards) outside, avoid tripping alarm systems, get some weapons/ammo and get out.

### Oppressor

-   Player is a member of a team formed to extinguish all resistance movements
    -   Access to lots of arms and ammo and vehicles (for open maps)
    -   Given a serial number (randomly generated?) and a clean, strong-looking model (Erebus/Nyx?)
    -   Fights resistance in contested planets/factories/communication centers
    -   Player’s squadron is shared between the companies and employed wherever resistance crops up
        -   If companies specialize, player is equipped with whatever the company specializes first and foremost (however, they may take weapons from downed resistance members)

Multiplayer explanation
-----------------------

-   Multiplayer is a combat simulator
    -   Don’t necessarily need to explain if the company or resistance operates the simulator
    -   Easily explains respawning, etc.
    -   Red could be resurgents, blue could be company guards, yellow and pink some two factions
    -   Or, all four colors could be different factions, this allows for a totally different perspective in story mode
    -   Maps specially designed to make participants in the simulation move unconventionally (not just walk and jump, laserjump, laserclimb, bunnyjump) and allow testing of new tactics against the “enemy” (however, who the enemy is is not specified, left to the player’s imagination)

-   Multiplayer could be several battles between the four factions
    -   Arms, etc. provided by the companies on the maps
    -   Maps are stations around the galaxy of some importance
        -   Important to account for wide variation of skyboxes - some are space stations, other are terrestrial stations

Factions
--------

-   Factions do not particularly matter as they do not necessarily have to figure in the campaign
    -   Could be brutes employed by the corporation(s) to stop the player in the “Underdog” campaign
        -   As player progresses in the campaign, they see less of the factional player models (everyone else) and more company player models (erebus/nyx?)
    -   However, player could also specify factional allegiance (resistance is a “pacifist” movement, so factions put aside differences)
    -   Not sure how they can figure in the “Oppressor” campaign (redshirts killed quickly in the beginning of some battles?)

-   Factions may be adopted from the [[Close to Home]] scenario or invented anew
    -   Only difference between factions is player models

Note: Colors of factions are subject to change depending on which faction is in which mission (we can have at most three other factions besides the player’s faction).

|Faction name|Acronym|Faction Color|Base Planet|Bio|
|------------|-------|-------------|-----------|---|
|United Armed Forces|UAF|Red|Darhkor|Made up of several weaker planets of varying race who could not defend themselves alone. These planets formed a faction late in the war, several decades after the AC began their conquest, to protect themselves and each other from the larger faction. Eventually, after several hundred years, they gained enough member planets to become one of the most powerful and diverse factions in the galaxy. The UAF’s goals evolved over time. As leadership of the group changed hands over the decades, new plans to control the entire galaxy began to emerge in private, closed-door meetings, the likes of which had previously been unseen in the UAF.|
|Android Confederacy|AC|Blue|Unknown|The Android Confederacy is a faction that consists solely of mechanical soldiers. The faction is driven by a central computer system, which was originally designed as an advanced weapon prototype by Techron Industries. The main system, known as C.A.I.N.E., gained control of system components that were originally supposed to be off-limits, due to the fact that they were only partially completed and were not yet ready to be released to the system. C.A.I.N.E. exploited holes in the unfinished components, gained control of Techron’s major technological systems, took over control of their factories and began constructing an army of androids. A few members of the original C.A.I.N.E. development team have come forward to try to assist the UAF in destroying C.A.I.N.E., but all of them have been intercepted and killed in transit to the UAF base planet. It is unknown if there are any remaining C.A.I.N.E. developers left alive at this point.|
|Red Legion|RL|Red|Bak’Tar|The Red Legion is a union of planets comprising the third faction in the Great Andromeda War. Their agenda is to spread their totalitarianism across the galaxy and thereby become the supreme rulers of everything in the galaxy. Their soldiers are extremely dedicated and are willing to die for the cause. They are the faction that Techron has had the most trouble keeping in line with Techron’s agenda, as they frequently try to break free of the monopoly and construct their own weapon plants. They have also begun attempting to reverse-engineer TI weapons to remove the “kill switch” that allows Techron to remotely disable their weapons at any time.|
|Techron Industries|TI|Yellow|Kel’Dar IV (fourth moon of Telikas)|Techron Industries is the largest (and only) supplier of weapons in the galaxy. Their handiwork can be seen on roughly 75-90% of the inhabited planets in any given star system. They are currently supplying weapons to both sides of the war, claiming to remain neutral. However, they control the factions through their arms sales, and are currently in control of both sides of the war. When a faction tries to do something that Techron does not like, Techron can do things such as engaging a “kill switch” in a faction’s weapons, selling a batch of faulty weapons that explode upon use, etc.. They are prolonging the war to gain as much control of each side as possible, and to drive up profits from arms sales. They ultimately hope to gain control of the entire galaxy, but because they don’t have an actual army, they are using the factions as proxies for their conquests. When a faction tries to break from the monopoly by building factories, Techron sends its fleet of bomber ships to destroy the factories. The factions are completely at Techron’s mercy, as TI often assassinates anyone in the factions’ leadership that tries to make peace.|
|Resistance|Ω|Pink|Micarais|The original goal of the faction previously known as the Pacifists was to create a diplomatic solution to the war upon which both sides could agree. However, due to the involvement of Techron, neither side would agree upon any form of agreement. The Pacifists evolved over time, and with this evolution came a new school of thought: “Active Pacifism.” This new view of pacifism stated that in order to create or promote peace, some action (even violent action) must sometimes be taken. With this new view in mind, the Pacifists slowly reorganized into a militia of sorts, rather than a pacifism activism group. Small strike teams have been created for carrying out covert “black-ops” missions, oftentimes behind enemy lines. These highly trained teams make up the backbone of the new Resistance movement.|


