CTF - Capture the flag
======================

There are three basic types of level layouts that tend to be favored. Each has its advantages and disadvantages.

Rectangular
-----------

Maps with a straightforward, linear route from flag to flag. The map is typically divided into three portions: a base area for each team, with a middle area connecting both of them to one another.

**Levels**: Gasoline powered, mentalspace, hydro, facing worlds  
**Advantages**: Teammate positions on map are apparent, with attacker, defender, and roamer clearly defined. Fastest way to base is also apparent, with detours leading to health and items. These maps are great for new players because of the simplicity of the layout. Stalemates are easily resolved due to there being no real hiding place for flag carriers.  
**Disadvantages**: Very easy to defend which results in camping, often making predictable game play.  

Ant hill
--------

These maps are often the same shape as rectangular maps, but have many different paths to the bases. They are often enclosed or semi-enclosed, which makes the paths tunnel-like (hence, like an ant hill or a termite mound). For effective play, more attention must be given to the mini-map and and teammate communication than in an ordinary rectangular map.

**Levels**: Mikectf, moonstone  
**Advantages**: Interesting game play, making confrontation with the enemy less frequent, bringing the game back to capture the flag. Deference is a little harder unless spawn points are in base.  
**Disadvantages**: Carrier is easily hidden. Often resulting in a stalemates which slows game play. Players have to work all positions on the field to be successful. Game becomes very “chase to flag carrier through the tunnels”  

S- or Z-shaped
--------------

This is a non-linear map with a few detours and alternative routes to the bases. It tends to be a balanced level layout that offers a good deal of straightforwardness like a rectangular map with the variety of paths between bases like an ant hill map.

**Levels**: dm_castle, Dance  
**Advantages**: Camping does not offer defense of the entire base so more offensive strategies must be used, leading to more dynamic game play. Positions are still apparent, making team organization easy  
**Disadvantages**: Harder for new players due to more complicated routes to flags, slowing game play. Although laser walling resolves this problem.  

